Bug 54857 - FILEOPEN: slow opening, 2Mb .PPT file opens several minutes
Summary: FILEOPEN: slow opening, 2Mb .PPT file opens several minutes
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace, perf
Depends on:
Blocks: File-Opening PPT
  Show dependency treegraph
 
Reported: 2012-09-13 10:47 UTC by sasha.libreoffice
Modified: 2019-05-24 02:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
ppt file that demonstrates slow opening (2.18 MB, application/vnd.ms-powerpoint)
2012-09-13 10:47 UTC, sasha.libreoffice
Details
minimal reproducer (332.50 KB, application/vnd.ms-powerpoint)
2016-05-16 18:12 UTC, David Tardon
Details
Callgrind output from 5.5 master (8.75 MB, application/x-xz)
2017-05-24 10:56 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2012-09-13 10:47:19 UTC
Created attachment 67096 [details]
ppt file that demonstrates slow opening

Small (about 2 Mb) ppt file opens in Impress several minutes 
Reproduced in 3.3.4 and 3.6.1 on Fedora 64 bit, Core2 Duo 1.8 Ghz
and in 3.4.3 on Windows 7 32 bit, Core2 Duo 2.3 Ghz

What is interesting, the same document saved as pptx in msOffice, opens in Impress immediately.
Comment 1 A (Andy) 2012-12-27 20:34:05 UTC
reproducible with LO 3.6.4.3. (Win7 Home, 64bit, i5, 4GB)

with LO it takes more than 3 minutes to open the file
with Powerpoint 2007 the file is opened within a few seconds
Comment 2 tommy27 2014-01-02 17:43:33 UTC
reproducible with LO 4.1.4.2 (Win7 Pro, 64bit, Intel Core 2 Duo, 4GB RAM)
Comment 3 Joel Madero 2015-05-02 15:42:00 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-06-20 14:42:18 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 5 Robinson Tryon (qubit) 2015-12-09 18:07:55 UTC Comment hidden (obsolete)
Comment 6 David Tardon 2016-05-16 08:26:49 UTC
Is it possible to create a minimal reproducer, ideally with a single slide?
Comment 7 David Tardon 2016-05-16 18:12:01 UTC
Created attachment 125098 [details]
minimal reproducer
Comment 8 QA Administrators 2017-05-22 13:40:11 UTC Comment hidden (obsolete)
Comment 9 tommy27 2017-05-24 04:27:48 UTC
still reproducible under Win8.1 x64 using LibO 5.3.3.2

the "minimal reproducer" test files takes ages to open.
Comment 10 Buovjaga 2017-05-24 10:56:43 UTC
Created attachment 133508 [details]
Callgrind output from 5.5 master

Arch Linux 64-bit, KDE Plasma 5
Version: 5.5.0.0.alpha0+
Build ID: 6b5fc059543c16759abd5eec2576b5b68e96883a
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on May 21st 2017
Comment 11 QA Administrators 2019-05-24 02:56:40 UTC
Dear sasha.libreoffice,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug